Package org.apache.cayenne.access.types

# Class CalendarType<T extends Calendar>

java.lang.Object
org.apache.cayenne.access.types.CalendarType<T>

All Implemented Interfaces:
  `ExtendedType<Calendar>`

public class CalendarType<T extends Calendar> extends Object implements ExtendedType<Calendar>
ExtendedType that handles `Calendar` fields.

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Class<T>`
  `calendarClass`

  ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

  `TRIM_VALUES_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarType(Class<T> calendarClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `convertToJdbcObject(Calendar value, int type)`
  `String`
  `getClassName()`
  Returns a full name of Java class that this ExtendedType supports.
  `Calendar`
  `materializeObject(CallableStatement rs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Calendar`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `void`
  `setJdbcObject(PreparedStatement statement, Calendar value, int pos, int type, int precision)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Calendar value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calendarClass

    protected Class<T extends Calendar> calendarClass

- ## Constructor Details

  - ### CalendarType

    public CalendarType(Class<T> calendarClass)

- ## Method Details

  - ### getClassName

    public String getClassName()
    Description copied from interface: `ExtendedType`
    Returns a full name of Java class that this ExtendedType supports.
    Specified by:
      `getClassName` in interface `ExtendedType<T extends Calendar>`

  - ### materializeObject

    public Calendar materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<T extends Calendar>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Calendar materializeObject(CallableStatement rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<T extends Calendar>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement statement, Calendar value, int pos, int type, int precision) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<T extends Calendar>`
    Throws:
      `Exception`

  - ### convertToJdbcObject

    protected Object convertToJdbcObject(Calendar value, int type) throws Exception
    Throws:
      `Exception`

  - ### toString

    public String toString(Calendar value)
    Description copied from interface: `ExtendedType`
    Converts value of the supported type to a human-readable String representation.
    Specified by:
      `toString` in interface `ExtendedType<T extends Calendar>`
    Parameters:
      `value` - a value to convert to String.